<app-page-data-list
  pageTitle="لیست مشتری"
  [addNewCtaLabel]="'افزودن مشتری'"
  [columns]="columns"
  [showAdd]="true"
  emptyPlaceholderTitle="مشتری یافت نشد"
  emptyPlaceholderDescription="برای افزودن مشتری، روی دکمهٔ بالا کلیک کنید."
  [items]="items()"
  [loading]="loading()"
  [showDetails]="true"
  [showAdd]="true"
  [showEdit]="true"
  (onAdd)="openAddForm()"
  (onDetails)="toSinglePage($event)"
  (onEdit)="onEditClick($event)"
  (onRefresh)="refresh()"
/>
<partner-create-consumer-wrapper [(visible)]="visibleCreateForm" (onSubmit)="refresh()" />

<partner-consumer-form
  [(visible)]="visibleForm"
  [editMode]="true"
  [consumerId]="selectedItemForEdit()?.id"
  [initialValues]="selectedItemForEdit() || undefined"
  (onSubmit)="refresh()"
/>
